# リスニングソースの対応範囲を読む

正規URL： https://sosoapi.ai/ja/docs/api/listening-api-capabilities

契約: sha256:ab393e91e9b7f18a

対応するリスニングソースの範囲、リテラルクエリの規則、収集上限を読む操作です。メタデータのみです。agent:research が必要です。

POST /listening-api/capabilities

## 認証と権限

- **受け付ける認証情報の種類:** user_session, delegated_oauth, personal_access_token

- **委任された機能権限:** agent:research

- **ワークスペースの最低ロール:** viewer

- **アクセス範囲:** このユーザーがアクセスを許可されたリソース

- **すべてのワークスペースへの同意が必要:** いいえ

- **状態を変更:** いいえ

- **操作完了時:** 現在許可されているリスニングデータ。索引済みの公開サンプルは部分的で、検証済みのアカウントへのメンションではありません

トークンは所有者の権利内でのみ使えます。各要求で所属、リソース所有権、選択ワークスペース、付与機能を確認します。coreとfullは表示だけを変え、アクセスは付与しません。

## リクエストのフィールド

```json
{
  "$schema": "https://json-schema.org/draft/2020-12/schema",
  "type": "object",
  "properties": {
    "workspace_id": {
      "type": "string",
      "format": "uuid",
      "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
    }
  },
  "required": [
    "workspace_id"
  ],
  "additionalProperties": false
}
```

## レスポンスと完了条件

成功時のHTTPステータス： 200

HTTP成功は完了ではなく受理の場合があります。バックグラウンド処理はIDを保存し、同じ処理を完了まで確認します。予約・受理された投稿はプラットフォーム確認後のみ公開済みです。タイムアウトだけでは結果を判断できません。

```json
{
  "$schema": "https://json-schema.org/draft/2020-12/schema",
  "type": "object",
  "properties": {
    "source": {
      "type": "string",
      "const": "hacker_news"
    },
    "query_mode": {
      "type": "string",
      "const": "literal_phrase"
    },
    "include_mode": {
      "type": "string",
      "const": "all_literal_substrings"
    },
    "exclude_mode": {
      "type": "string",
      "const": "any_literal_substring"
    },
    "item_types": {
      "type": "array",
      "prefixItems": [
        {
          "type": "string",
          "const": "story"
        },
        {
          "type": "string",
          "const": "comment"
        }
      ],
      "items": false,
      "minItems": 2,
      "maxItems": 2
    },
    "coverage": {
      "type": "string",
      "const": "partial_indexed_sample"
    },
    "exhaustive": {
      "type": "boolean",
      "const": false
    },
    "limits": {
      "type": "object",
      "properties": {
        "streams_per_workspace": {
          "type": "number",
          "const": 5
        },
        "minimum_cadence_minutes": {
          "type": "number",
          "const": 30
        },
        "lookback_days": {
          "type": "number",
          "const": 7
        },
        "content_retention_days": {
          "type": "number",
          "const": 7
        },
        "results_per_run": {
          "type": "number",
          "const": 20
        },
        "provider_gets_per_run": {
          "type": "number",
          "const": 21
        },
        "workspace_provider_gets_per_day": {
          "type": "number",
          "const": 500
        },
        "shared_searches_per_hour": {
          "type": "number",
          "const": 5000
        }
      },
      "required": [
        "streams_per_workspace",
        "minimum_cadence_minutes",
        "lookback_days",
        "content_retention_days",
        "results_per_run",
        "provider_gets_per_run",
        "workspace_provider_gets_per_day",
        "shared_searches_per_hour"
      ]
    }
  },
  "required": [
    "source",
    "query_mode",
    "include_mode",
    "exclude_mode",
    "item_types",
    "coverage",
    "exhaustive",
    "limits"
  ]
}
```

## エラーと安全な再試行

HTTPステータスとレスポンス本文を確認します。400の検証エラーにはZodErrorが含まれる場合があります。ハンドラーエラーはerror、message、codeを使用します。診断用にrequest_idまたはx-request-idを保持し、認証情報は含めないでください。401/403はアクセス問題を解消してから再試行し、429はRetry-Afterに従います。書き込み結果が不確か、または5xxの場合は、まず既存の結果を取得してください。冪等性キーは対応する操作でのみ再利用します。再試行の挙動は操作ごとに異なり、厳密に一回の配信は保証しません。

## 例

スキーマ確認済みの架空値の例です。認可されたID、準備済みメディア、確認済みの公開日時に置き換え、書き込み前に適格性を確認してください。このページはAPIを呼びません。

サーバーのSOSOAPI_ACCESS_TOKENに操作が受け付ける認証情報を設定し、ブラウザーコードに含めないでください。AIエージェントはsosoapi auth loginでブラウザーログインし、CLIに更新を任せます。

request.json

```json
{
  "workspace_id": "11111111-1111-4111-8111-111111111111"
}
```

cURL

```bash
curl --request POST \
  "https://gqeshlawtcexsapabaui.supabase.co/functions/v1/listening-api/capabilities" \
  -H "Authorization: Bearer $SOSOAPI_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  --data-binary @request.json
```

JavaScript

```js
// Server-side JavaScript. Do not print tokens or credential-bearing responses.
const token = process.env.SOSOAPI_ACCESS_TOKEN;
if (!token) throw new Error("Set an accepted credential for this operation");
const response = await fetch("https://gqeshlawtcexsapabaui.supabase.co/functions/v1/listening-api/capabilities", {
  method: "POST",
  headers: { "Content-Type": "application/json", Authorization: "Bearer " + token },
  body: JSON.stringify({
  "workspace_id": "11111111-1111-4111-8111-111111111111"
})
});
const result = await response.json();
// Check response.ok, the operation-specific body and completion state before continuing.
```

CLI

```bash
npx sosoapi api post /listening-api/capabilities < request.json
```

合成レスポンス例

```json
{
  "source": "hacker_news",
  "query_mode": "literal_phrase",
  "include_mode": "all_literal_substrings",
  "exclude_mode": "any_literal_substring",
  "item_types": [
    "story",
    "comment"
  ],
  "coverage": "partial_indexed_sample",
  "exhaustive": false,
  "limits": {
    "streams_per_workspace": 5,
    "minimum_cadence_minutes": 30,
    "lookback_days": 7,
    "content_retention_days": 7,
    "results_per_run": 20,
    "provider_gets_per_run": 21,
    "workspace_provider_gets_per_day": 500,
    "shared_searches_per_hour": 5000
  }
}
```

## 関連ツールとガイド

MCP: sosoapi_listening_capabilities

[APIリファレンス](https://sosoapi.ai/ja/docs/api)
